Subject: Re: bug#7130: 24.0.50; EPA queries twice and doesn't cache passwords when decrypting files

From: Tassilo Horn <[email-masked]>
Date: Fri, 01 Oct 2010 23:42:46 +0200

Daiki Ueno <[email-masked]> writes:

>> I use gnupg-2.0.16, and there's also gpgme-1.3.0 installed, if that has
>> something to do with it.
>
> Ah, you use gnupg2?  Then, that is expected behavior.  gnupg2 always
> use gpg-agent and there is no way to intercept password from elisp
> level.

Ah, I see.

> If you see your password is cached, that is probably because of my
> hack in gpg-agent:
>
> http://lists.gnupg.org/pipermail/gnupg-devel/2009-May/025045.html
>
> Perhaps this patch does not work for symlinks.

Hm, passwords aren't cached in neither with nor without symlink.  So I
guess that patch is not in my gnupg version.

> Anyway I'd suggest to install gnupg1, which can coexist with gnupg2, and
> (setq epg-gpg-program "path to gpg program from gnupg1")

Ok, then I'll do that.

Bye,
Tassilo